﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObjectProviderTest.Domain
{
    public class myEntity
        :BindableObject
    {
        public int Code {
            get { return _code; }
            set { _code = value; RaisePropertyChanged("Code"); }
        }
        private int _code;
        
        public string Property1 {
            get { return _property1; }
            set { _property1 = value; RaisePropertyChanged("Property1"); }
        }
        private string _property1;
        
        public string Property2 {
            get { return _property2; }
            set { _property2 = value; RaisePropertyChanged("Property2"); }
        }
        private string _property2;

        public myEntity()
        {
            _code = 0;
            _property1 = String.Empty;
            _property2 = String.Empty;
        }

        public myEntity(int c, string p1, string p2)
        {
            _code = c;
            _property1 = p1;
            _property2 = p2;
        }
    }
}
