﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ObjectProviderTest.VM;
using ObjectProviderTest.Domain;

namespace ObjectProviderTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private ObjectDataProvider dataValuesProvider;
        private myVM _vm;

        public Window1()
        {
            InitializeComponent();

            _vm = new myVM();

            dataValuesProvider = Resources["dataValuesProvider"] as ObjectDataProvider;
            if (dataValuesProvider != null)
            {
                dataValuesProvider.ObjectInstance = _vm;
                dataValuesProvider.MethodName = "GetValues";
                dataValuesProvider.MethodParameters.Add("");
            }

            _vm.LoadItems();

            this.DataContext = _vm;
        }

        private void dgDoc_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            dataValuesProvider.MethodParameters[0] = (this.dgDoc.SelectedItem as myEntity).Code;
        }

        private void dgDoc_BeginningEdit(object sender, Microsoft.Windows.Controls.DataGridBeginningEditEventArgs e)
        {
            //dataValuesProvider.MethodParameters[0] = (this.dgDoc.SelectedItem as myEntity).Code;
        }
    }
}
